import { Disposable } from "../../../../../../../base/common/lifecycle.js";
import { IObservable, ISettableObservable } from "../../../../../../../base/common/observable.js";
import { IAccessibilityService } from "../../../../../../../platform/accessibility/common/accessibility.service.js";
import { IInstantiationService } from "../../../../../../../platform/instantiation/common/instantiation.js";
import { IThemeService } from "../../../../../../../platform/theme/common/themeService.service.js";
import { ObservableCodeEditor } from "../../../../../../browser/observableCodeEditor.js";
import { HoverService } from "../../../../../../browser/services/hoverService/hoverService.js";
import { LineRange } from "../../../../../../common/core/lineRange.js";
import { IInlineEditModel } from "../inlineEditsViewInterface.js";
export declare class InlineEditsGutterIndicator extends Disposable {
    private readonly _editorObs;
    private readonly _originalRange;
    private readonly _verticalOffset;
    private readonly _model;
    private readonly _isHoveringOverInlineEdit;
    private readonly _focusIsInMenu;
    private readonly _hoverService;
    private readonly _instantiationService;
    private readonly _accessibilityService;
    private get model();
    private readonly _gutterIndicatorStyles;
    private readonly _isHoveredOverInlineEditDebounced;
    constructor(_editorObs: ObservableCodeEditor, _originalRange: IObservable<LineRange | undefined>, _verticalOffset: IObservable<number>, _model: IObservable<IInlineEditModel | undefined>, _isHoveringOverInlineEdit: IObservable<boolean>, _focusIsInMenu: ISettableObservable<boolean>, _hoverService: HoverService, _instantiationService: IInstantiationService, _accessibilityService: IAccessibilityService, themeService: IThemeService);
    triggerAnimation(): Promise<Animation>;
    private readonly _originalRangeObs;
    private readonly _state;
    private readonly _stickyScrollController;
    private readonly _stickyScrollHeight;
    private readonly _lineNumberToRender;
    private readonly _availableWidthForIcon;
    private readonly _layout;
    private readonly _iconRef;
    readonly isVisible: IObservable<boolean>;
    private readonly _hoverVisible;
    readonly isHoverVisible: IObservable<boolean>;
    private readonly _isHoveredOverIcon;
    private readonly _isHoveredOverIconDebounced;
    readonly isHoveredOverIcon: IObservable<boolean>;
    private _showHover;
    private readonly _tabAction;
    private readonly _indicator;
}
